import 'option.dart';
import 'terminal.dart';

final Terminal _terminal = const Terminal();

class Prompter {
  bool askYesOrNo(String question) {
    // _terminal.clearScreen();
    _terminal.printPrompt('$question (y/n)');
    final String data = _terminal.collectInput();
    return data.contains('y');
  }

  askQuestion(String question, List<Option> options) {
    //_terminal.clearScreen();

    _terminal.printPrompt(question);
    _terminal.printOptions(options);
    final String data = _terminal.collectInput();

    try {
      return options[int.parse(data)].value;
    } catch (e) {
      return askQuestion(question, options);
    }
  }
}
